#ifndef _HELP_H_
#define _HELP_H_ 

// 中文说明
static unsigned char caption_bkgnd_cn[]="背景";
static unsigned char caption_help_cn[]="帮助";
static unsigned char caption_file_cn[]="文件列表";
static unsigned char caption_path_cn[]="路径";
static unsigned char caption_waring_cn[] ="警告";
static unsigned char msg_name_len_cn[]="用户名最大长度为8，请重新输入！";
static unsigned char msg_psw_len_cn[]="密码最大长度为10，请重新输入！";
static unsigned char msg_name_null_cn[]="用户名不能为空，请重新输入";
static unsigned char msg_name_exit_cn[]="用户名已经存在，请重新输入";
static unsigned char msg_default_user_cn[]="默认用户帅哥不能删除";
static unsigned char msg_max_user_cn[]="已达最大用户数目8，不能创建新用户";
static unsigned char msg_psw_wrong_cn[]="密码错误，请重新输入或按ESC返回";
static unsigned char msg_psw_again_cn[]="请再次输入密码";
static unsigned char msg_newuser_ok_cn[]="创建新用户成功";
static unsigned char msg_psws_diff_cn[]="两次输入的密码不一致，请重新输入。";
static unsigned char msg_deluser_ok_cn[]="删除用户成功！";
static unsigned char msg_deluser_confirm_cn[] = "确认删除用户？";
static unsigned char msg_psw_wrong_three_cn[]="密码错误超过3次，返回主界面！";
static unsigned char msg_prolist_header_cn[]="   序号      名称      第一刀尺寸  使用次数  使用时间";
static unsigned char msg_prolist_null_cn[] ="   无           空          0 ";
static unsigned char msg_cutslist_header_cn[] ="切刀序号     切刀位置   气垫  推纸/刀  ";
static unsigned char msg_cutslist_header_inch_cn[] ="切刀序号     切刀位置    气垫  推纸/刀  ";
static unsigned char msg_delpro_confirm_cn[] ="确认删除程序？";
static unsigned char msg_delpro_ok_cn[] ="删除程序成功！";
static unsigned char msg_enterpro_confirm_cn[] ="进入该程序？";
static unsigned char msg_cutdata_overflow_cn[] ="输入尺寸超出范围，请重新输入。";
static unsigned char msg_step_overflow_cn[] ="输入步进量超出范围，必须为1mm的整数倍。前进步进范围为1mm到5mm，后退不限。\n请重新输入。";
static unsigned char msg_save_pro_confirm_cn[] ="是否保存程序文件？";
static unsigned char msg_save_pro_ok_cn[] ="保存程序文件成功！";
static unsigned char msg_delcutdata_confirm_cn[] ="确认删除该刀数据？";
static unsigned char msg_delalldata_confirm_cn[] ="确认删除所有数据？";
static unsigned char msg_proname_change_cn[] ="是否修改程序说明？";
static unsigned char msg_config_ok_cn[] ="设置成功。";
static unsigned char msg_just_confirm_cn[] ="微调后有数据溢出，是否继续？";
static unsigned char msg_welcome_cn[] ="系统正在启动，请等待 1 分钟...";

static unsigned char help_login_main_cn[]="使用帮助：\n\nF1:新建用户 \nF2:删除用户 \nF3:选择用户 \nF4:机器设置 \n最多可以输入7个用户,每个用户100个程序,每个程序1000刀数据。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_psw_cn[]="使用帮助：\n\n 输入1到10位数数字作为用户密码。注意密码设定后不可更改。如果不想输入,按取消键返回上层界面.\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_userpro_name_cn[]= "使用帮助：\n\n 可以最多输入16个中英文字符简单介绍这个程序，输入完毕按确认键；\n如果不想输入，可以直接按确认键（此时程序名为空）。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_userpro_cuts_cn[]= "使用帮助：\n\n 输入尺寸，单位为毫米（mm），可以保留小数点后两位。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_prolist_cn[] ="使用帮助：\n\n 使用翻页键翻页，上下键选择程序；\n选中后按确认键进入程序。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_computer_cn[] ="计算器使用帮助：\n\n F1:清除(CE) \nEnd: 退出(OFF)\n 其它按键如键盘所示 \n\n\n版权所有，翻版必纠。\n";
static unsigned char help_t9_cn[] ="输入法使用帮助：\n\n使用数字键2-9输入对应的拼音，按翻页键移动所需拼音到第一位置，\n按数字键1确认拼音,然后按数字键0-9选择所需汉字，如果不在当前显示页，按翻页键查看。\n如需输入英文或数字，按插入键切换输入法。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_config_cn[]="使用帮助：\n\n 按上下键选择设置选项，确定键进入。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_date_cn[]="使用帮助：\n\n 输入当前日期，年月日。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_time_cn[]="使用帮助：\n\n 输入当前时间，秒数不用设置。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_lang_cn[]="使用帮助：\n\n 按上下键选择语言，确定键确定。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_flash_cn[]="使用帮助：\n\n 上下键选择是否显示开机动画。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_cutpos_cn[]="使用帮助：\n\n输入尺寸按运行键马达运行，按修改键修正当前尺寸。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_limit_cn[]="使用帮助：\n\n输入马达运行极限值，确定键确定。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_step_cn[]="使用帮助：\n\n输入马达点动前进和后退步进量，确定键确定。输入0表示连续模式。\n\n\n版权所有，翻版必纠。\n";
static unsigned char help_bkgnd_cn[]="使用帮助：\n\n使用上下键选择背景图片，按确定键确定。\n\n\n版权所有，翻版必纠。\n";

// 英文说明
static unsigned char caption_bkgnd_en[]="BackGround";
static unsigned char caption_help_en[]="Help";
static unsigned char caption_file_en[]="FileList";
static unsigned char caption_path_en[]="Path";
static unsigned char caption_waring_en[] ="Waring";
static unsigned char msg_name_len_en[]="The username is 8-words max.Please input again!";
static unsigned char msg_psw_len_en[]="The password is 10-bytes max.Please input again!";
static unsigned char msg_name_null_en[]="The username cann't be null.Please input again!";
static unsigned char msg_name_exit_en[]="The username exist.Please input again!";
static unsigned char msg_default_user_en[]="The default user cann't be deleted!";
static unsigned char msg_max_user_en[]="8 users exist!Cann't create any more!";
static unsigned char msg_psw_wrong_en[]="Password is wrong!Please input again or press Cancel to back!";
static unsigned char msg_psw_again_en[]="Please reinput the password.";
static unsigned char msg_newuser_ok_en[]="Create user done!";
static unsigned char msg_psws_diff_en[]="The passwords are not the same!Please input again!";
static unsigned char msg_deluser_ok_en[]="Delete user done!";
static unsigned char msg_deluser_confirm_en[] = "Delete user or not?";
static unsigned char msg_psw_wrong_three_en[]="Password is wrong more than 3 times.Force back!";
static unsigned char msg_prolist_header_en[]="    NO.       Name      Fisrt Data    Times    Last Time";
static unsigned char msg_prolist_null_en[] ="   No          Null          0 ";
static unsigned char msg_cutslist_header_en[] ="Cut NO.      Cut Position    AIR    Pusher ";
static unsigned char msg_cutslist_header_inch_en[] ="Cut NO.     Cut Position    AIR    Pusher ";
static unsigned char msg_delpro_confirm_en[] ="Delete program or not?";
static unsigned char msg_delpro_ok_en[] ="Delete program done!";
static unsigned char msg_enterpro_confirm_en[] ="Enter this program?";
static unsigned char msg_cutdata_overflow_en[] ="The cut data overflows.Please input again!";
static unsigned char msg_step_overflow_en[] ="The Step Data is overflow.I should be divided by 1 mm。The Forward Step is between 1 mm and 5mm,and the Backwrad step is no limit\n请重新输入。";
static unsigned char msg_save_pro_confirm_en[] ="Save program or not?";
static unsigned char msg_save_pro_ok_en[] ="Save program OK!";
static unsigned char msg_delcutdata_confirm_en[] ="Delete this cut data or not?";
static unsigned char msg_delalldata_confirm_en[] ="Delete all these cut datas or not?";
static unsigned char msg_proname_change_en[] ="Modify the program decription or not?";
static unsigned char msg_config_ok_en[] ="Config done!";
static unsigned char msg_just_confirm_en[] ="Some datas overflow after be fined.Continue?";
static unsigned char msg_welcome_en[] ="System is starting.Please wait...";

static unsigned char help_login_main_en[]="User Help：\n\nF1:Create User \nF2:Delete User \nF3:Select User \nF4:System Setting \nMax 7 more users.Each has 100 programs and each program 1000 cut datas.\n\n\nAll rights reserved!\n";
static unsigned char help_psw_en[]="User Help：\n\n Input 1 to 10 number as your password。Be careful the password cann't be changed once set。If do not want t ogo ahead,press Cancel to back.\n\n\nnAll rights reserved!\n";
static unsigned char help_userpro_name_en[]= "User Help：\n\n 16 words at most can be inputed to describe this program,when done press Enter to confirm；\nIf don't want to input any then can press Enter directly.At this time it is NULL.\n\n\nnAll rights reserved!\n";
static unsigned char help_userpro_cuts_en[]= "User Help：\n\n Input data in mm.2 avaliable bit after the point.\n\n\nnAll rights reserved!\n";
static unsigned char help_prolist_en[] ="User Help：\n\n Use Page UP/Down and Up/Down to select one program and then press Enter.\n\n\nnAll rights reserved!\n";
static unsigned char help_computer_en[] ="User Help：\n\n F1:Clear(CE) \nEnd: Exit(OFF)\n Others are as showed. \n\n\nnAll rights reserved!\n";
static unsigned char help_t9_en[] ="User Help：\n\n使用数字键2-9输入对应的拼音，按翻页键移动所需拼音到第一位置，\n按数字键1确认拼音,然后按数字键0-9选择所需汉字，如果不在当前显示页，按翻页键查看。\n如需输入英文或数字，按插入键切换输入法。\n\n\nnAll rights reserved!\n";
static unsigned char help_config_en[]="User Help：\n\n Use Up and Down key to select item and Enter key to set.\n\n\nnAll rights reserved!\n";
static unsigned char help_date_en[]="User Help：\n\n Input current data in form of Y/M/D.\n\n\nnAll rights reserved!\n";
static unsigned char help_time_en[]="User Help：\n\n Input current time,second does not need.\n\n\nnAll rights reserved!\n";
static unsigned char help_lang_en[]="User Help：\n\n Use Up and Down key to select language.\n\n\nnAll rights reserved!\n";
static unsigned char help_flash_en[]="User Help：\n\n Use Up and Down key to turn on or off the cartoon.\n\n\nnAll rights reserved!\n";
static unsigned char help_cutpos_en[]="User Help：\n\nPress Run key after inputting the data,and Modify key to correct current position.\n\n\nnAll rights reserved!\n";
static unsigned char help_limit_en[]="User Help：\n\nInput the limit range of motor,and use Enter key to confirm.\n\n\nnAll rights reserved!\n";
static unsigned char help_step_en[]="User Help：\n\nInput the step length of motor.Input 0 means continues mode. \n\n\nnAll rights reserved!\n";
static unsigned char help_bkgnd_en[]="User Help：\n\nUse Up and Down keys to select background picture,and press Enter key to confirm.\n\n\nnAll rights reserved!\n";

#endif
